package com.ruoyi.project.training.spec.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import com.ruoyi.project.plant.domain.TStaffmgr;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 继任者清单对象 t_st_successor
 *
 * @author ruoyi
 * @date 2022-04-11
 */
public class TStSuccessor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private String staffId;

    private TStaffmgr staff;

    private List<TStSuccessorScore>  scoreList;

    /** 培训员工编号 */
    @Excel(name = "培训员工姓名")
    private String staffName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 目标岗位 */
    @Excel(name = "目标岗位")
    private String actualpost;

    /** 导师员工编号 */
    @Excel(name = "导师员工编号")
    private String mentorStaffId;

    /** 导师员工姓名 */
    @Excel(name = "导师员工姓名")
    private String mentorStaffName;

    /** 培训状态 */
    @Excel(name = "培训状态")
    private Long state;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public List<TStSuccessorScore> getScoreList() {
        return scoreList;
    }

    public void setScoreList(List<TStSuccessorScore> scoreList) {
        this.scoreList = scoreList;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setActualpost(String actualpost)
    {
        this.actualpost = actualpost;
    }

    public String getActualpost()
    {
        return actualpost;
    }
    public void setMentorStaffId(String mentorStaffId)
    {
        this.mentorStaffId = mentorStaffId;
    }

    public String getMentorStaffId()
    {
        return mentorStaffId;
    }
    public void setState(Long state)
    {
        this.state = state;
    }

    public Long getState()
    {
        return state;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getMentorStaffName() {
        return mentorStaffName;
    }

    public void setMentorStaffName(String mentorStaffName) {
        this.mentorStaffName = mentorStaffName;
    }

    public TStaffmgr getStaff() {
        return staff;
    }

    public void setStaff(TStaffmgr staff) {
        this.staff = staff;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("actualpost", getActualpost())
            .append("mentorStaffId", getMentorStaffId())
            .append("state", getState())
            .toString();
    }
}
